SL(4)

NAME
sl - Serial Line IP (SLIP) network interface

SYNOPSIS
pseudo-device sl

DESCRIPTION
The sl interface allows asynchronous serial lines to be used as IPv4 network interfaces using the SLIP protocol.

To use the sl interface, the administrator must first create the interface and assign a tty line to it. The sl interface is created using the ifconfig(8) create subcommand, and slattach(8) is used to assign a tty line to the interface. Once the interface is attached, network source and destination addresses and other parameters are configured via ifconfig(8).

The sl interface can use Van Jacobson TCP header compression and ICMP filtering. The following flags to ifconfig(8) control these properties of a SLIP link:

link0
    Turn on Van Jacobson header compression.

-link0
    Turn off header compression. (default)

link1
    Don't pass through ICMP packets.

-link1
    Do pass through ICMP packets. (default)

link2
    If a packet with a compressed header is received, automatically enable compression of outgoing packets. (default)

-link2
    Don't auto-enable compression.

DIAGNOSTICS

sl%d: af%d not supported. The interface was handed a message with addresses formatted in an unsuitable address family; the packet was dropped.

SEE ALSO
inet(4), intro(4), ppp(4), strip(4), ifconfig(8), slattach(8), sliplogin(8), slstats(8) J. Romkey, RFC, 1055, June 1988, A Nonstandard for Transmission of IP Datagrams over Serial Lines: SLIP. Van Jacobson, RFC, 1144, February 1990, Compressing TCP/IP Headers for Low-Speed Serial Links.

HISTORY
The sl device appeared in NetBSD 1.0.

BUGS
SLIP can only transmit IPv4 packets between preconfigured hosts on an asynchronous serial link. It has no provision for address negotiation, carriage of additional protocols (e.g. XNS, AppleTalk, DECNET), and is not designed for synchronous serial links. This is why SLIP has been superseded by the Point-to-Point Protocol (PPP), which does all of those things, and much more.